Link CSV Audience
curl --request POST \
--url https://public.plai.io/linkedin/link_csv_audience_file \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"userId": "<string>",
"csvFileId": "<string>"
}
'import requests
url = "https://public.plai.io/linkedin/link_csv_audience_file"
payload = {
"userId": "<string>",
"csvFileId": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({userId: '<string>', csvFileId: '<string>'})
};
fetch('https://public.plai.io/linkedin/link_csv_audience_file', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"results": {
"success": true,
"audienceId": "<string>",
"error": "<string>"
}
}Linkedin APIs
Link CSV Audience
This endpoint is used to link a CSV audience to a LinkedIn.
POST
/
linkedin
/
link_csv_audience_file
Link CSV Audience
Request Body
string
required
User ID, If not already created, make a user on create user
page first. If already created,
retrieve the user ID from get profile
page.
string
required
Csv File ID of the CSV file to link. If not already created, make a CSV file
on create CSV audience
page first.
Response
boolean
Indicates that the HTTP response was successful (status code 200 OK).